# set(SDK_URL http://easyrec.oss-cn-beijing.aliyuncs.com/3rdparty/json-3.11.3.tar.gz)
# FetchContent_Declare(
#   json
#   URL ${SDK_URL}
#   # GIT_REPOSITORY https://github.com/nlohmann/json.git
#   # GIT_TAG v3.11.3
# )

# FetchContent_GetProperties(json)
# if(NOT json_POPULATED)
#   FetchContent_Populate(json)
#   add_subdirectory(${json_SOURCE_DIR} ${json_BINARY_DIR} EXCLUDE_FROM_ALL)
# endif()
# # FetchContent_MakeAvailable(json)

# add_custom_command(
#   OUTPUT "${3RDPARTY_INC_PATH}/nlohmann"
#   COMMAND ${CMAKE_COMMAND} -E copy_directory "${json_SOURCE_DIR}/include/nlohmann" "${3RDPARTY_INC_PATH}/nlohmann"
#   DEPENDS glog
# )
# add_custom_target(json ALL
#   DEPENDS "${3RDPARTY_INC_PATH}/nlohmann"
# )

set(SDK_URL http://110705.oss-cn-hangzhou-zmf.aliyuncs.com/json.hpp)

ExternalProject_Add(json
  BUILD_IN_SOURCE 1
  URL ${SDK_URL}

  DOWNLOAD_NO_EXTRACT 1
  DOWNLOAD_DIR "${CMAKE_BINARY_DIR}/3rdparty/include/nlohmann/"

  UPDATE_COMMAND ""
  CONFIGURE_COMMAND  ""
  BUILD_COMMAND ""
  INSTALL_COMMAND "")

set(DEP_INFO "json#larec#${SDK_URL}")
list(APPEND PROJECT_DEPENDENCIES ${DEP_INFO})
set(PROJECT_DEPENDENCIES ${PROJECT_DEPENDENCIES} CACHE INTERNAL "List of project dependencies" FORCE)